.analyze_uci<-function() {
  classifiers=split(x = uciData[,c("DatasetID","accuracy")],f = uciData$ClassifierID) #split by classifier
  nClassifiers=length(classifiers) # number of classifiers (5)
  classifier_names=c('naive Bayes','aode','hnb','j48','j48_grafted')
  for (c in 1:nClassifiers) { #loop over all classifiers
    datasets=split(x=classifiers[[c]]$accuracy,f = classifiers[[c]]$DatasetID) #foreach classifier, split by data set
    classifiers[[c]]=datasets #store the list of datasets
  }  
  for (c in 1:(nClassifiers-1)) {
    for (n in (c+1):nClassifiers) {
      print(paste("Classifier",classifier_names[c],"against",classifier_names[n]))
      if (mean(unlist(classifiers[[c]]))<mean(unlist(classifiers[[n]]))) {
        first=classifiers[[c]]
        second=classifiers[[n]]
      } else {
        second=classifiers[[c]]
        first=classifiers[[n]]
      }
      print(bayesTtest(first,second,nTestFolds=10))
    }
  }  
}