ttest_corrected<-function(delta, left.tail = FALSE, nTestFolds=1) {
  n=length(delta)
  nTrainFolds=n-nTestFolds
  x=mean(delta)
  svar=var(delta)
  t=x/sqrt(svar*(1/n+nTestFolds/nTrainFolds))
  if (is.nan(t)) {
    return(0.5)  
  }  
  df=max(n-1,0)
  if (left.tail) {
    pvalue=pt(t,df = df,FALSE)
  } else {
    pvalue=pt(-t,df = df,FALSE)
  }
  return(pvalue)
}