function data=generate_data(n,theta)
%%function data=generate_data(n,theta)
%generate n artificial instances with binary class and one binary feature. 
%The conditional probability of the feature is P(f1|c1)=theta;
%P(f2|c2)=theta.
  
        
class=rand(n,1);
class(class>0.5)=2;
class(class<.5)=1;

%feature is obtained by flipping randomly (1-theta)% of class labels
feature=class;

tmp=rand(n,1);
rand_idx=tmp>theta;
feature(rand_idx==1 & feature==2)=-1;
feature(rand_idx==1 & feature==1)=2;
feature(feature==-1)=1;

data=[class feature];