 function nbc=learn_nbc(train)
 %%nbc=learn_nbc(train)
 %learns naive Bayes (BDeu prior) from train data, assuming the class to be in first
 %column and the feature to be in second column.
 class_idx=1;
 feat_idx=2;
 nbc = struct;

 marg(1)=(sum(train(:,class_idx)==1)+.5)/(length(train)+1);
 marg(2)=1-marg(1);
 nbc.marg=marg;

 table(1,1)= (sum((train(:,class_idx)==1 & train(:,feat_idx)==1)) + .25) / ...
     (sum(train(:,end)==1)+.5);
 table(2,1)=1-table(1,1);
 table(1,2)= (sum((train(:,class_idx)==2 & train(:,feat_idx)==1)) + .25) / ...
     ( sum(train(:,end)==2) +.5);
 table(2,2)=1-table(1,2);
 nbc.cond=table;


