function preds_nbc=test_nbc(nbc,test)
%%preds_nbc=test_nbc(nbc,test)
%Returns the most probable class predicted by naiveBayes for each instance of the test set.
%The test set is assumed to contain a binary class and a
%a binary feature.
preds_nbc=ones(size(test,1),1);
feat_idx=2;

for ii=1:size(test,1)
    current_feat=test(ii,feat_idx);
    prob(1)=nbc.marg(1)*nbc.cond(current_feat,1);
    prob(2)=nbc.marg(2)*nbc.cond(current_feat,2);
    if prob(2)>prob(1)
        preds_nbc(ii)=2;
    end
end

